> For the complete documentation index, see [llms.txt](https://docs.kogno.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kogno.io/getting-started/configuration.md).

# Configuration

Kongo's main configuration file is located at `config/application.rb`

```ruby
Kogno::Application.configure do |config|

  config.app_name = "Kogno"

  config.environment = :development

  config.http_port = 3000

  config.available_locales = [:en]
  config.default_locale = :en

  config.routes.default = :main

  config.sequences.time_elapsed_after_last_usage = 900 # 15 minutes

  config.store_log_in_database = false

  config.typed_postbacks = false

  config.error_notifier.slack = {
    enable: false,
    webhook: "<YOUR SLACK WEBHOOOK HERE>"
  }  

end
```

### Field Description

<table><thead><tr><th width="251.48458149779736">Field</th><th>Description</th></tr></thead><tbody><tr><td><code>config.app_name</code></td><td>The project's name.</td></tr><tr><td><code>config.environment</code></td><td><p>Defines the environment: <code>development</code> or <code>production</code>. </p><p>In <code>development</code> mode you will see more logs and isn't necessary to restart when the code is modified.</p></td></tr><tr><td><code>config.http_port</code></td><td>The port where the web server runs.</td></tr><tr><td><code>config.available_locales</code></td><td>The available locales of the project.</td></tr><tr><td><code>config.default_locale</code></td><td>The default language in case <a href="/pages/GHlm6CGsPgvhtN3BgwR5">Internationalization</a> is implemented.</td></tr><tr><td><code>config.routes.default</code></td><td>The general context, which will handle a message when the conversation with a user has no defined context.</td></tr><tr><td><code>config.delayed_actions.time_elapsed_after_last_usage</code></td><td>The minimum waiting time in seconds to send the next message of a sequence to an user, after he has sent the last message to the conversation. Read more in the <a href="/pages/EO0XvZsERaHFF8IvI7SU">Sequences chapter</a>.</td></tr><tr><td><code>config.store_log_in_database</code></td><td>If <mark style="color:green;"><code>true</code></mark>, it will save incoming messages, events and replies to the <code>kogno_chat_logs</code> database table.</td></tr><tr><td><code>config.typed_postbacks</code></td><td>If <mark style="color:green;"><code>true</code></mark>, options on <a href="/pages/pSatI9sDzM1jmTwkQP1I"><code>buttons</code></a> or <a href="/pages/lUA76FcljYqvLFiZtaAD"><code>quick_replies</code></a> will be matched against the next message received. Read about this functionality <a href="/pages/-M1XFogDwpfPSik3VBp_#typed-postbacks">here</a>.</td></tr><tr><td><code>config.error_notifier.slack</code></td><td>If <code>enable</code> field is <mark style="color:green;"><code>true</code></mark> and a Slack <code>webhook</code> url is configured, the framework will send any error to the channel associated in Slack.  <br><a href="https://slack.com/help/articles/115005265063-Incoming-webhooks-for-Slack">Read the documentation in Slack</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kogno.io/getting-started/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
